Set a calling parameter to a request

- « Yaf_Request_Abstract::setModuleName

- Yaf_Request_Abstract::setRequestUri »

- PHP Manual
- Yaf_Request_Abstract
- Set a calling parameter to a request

# Yaf_Request_Abstract::setParam

(Yaf >=1.0.0)

Yaf_Request_Abstract::setParam — Set a calling parameter to a request

### Description

public Yaf_Request_Abstract::setParam(string `$name`, string `$value` = ?): bool

Set a parameter to request, which can be retrieved by Yaf_Request_Abstract::getParam()

### Parameters

`name`

`value`

### Return Values

### See Also

- Yaf_Request_Abstract::getParam() - Retrieve calling parameter
- Yaf_Request_Abstract::getParams() - Retrieve all calling parameters